[arch-commits] Commit in gcin/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Apr 12 07:43:01 EDT 2009


    Date: Sunday, April 12, 2009 @ 07:43:01
  Author: jgc
Revision: 35331

Merged revisions 35330 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gcin/trunk

........
  r35330 | jgc | 2009-04-12 11:42:49 +0000 (Sun, 12 Apr 2009) | 2 lines
  
  upgpkg: gcin 1.4.4-2
      Fix FS#14015
........

Added:
  gcin/repos/extra-x86_64/fix_rpath.patch
    (from rev 35330, gcin/trunk/fix_rpath.patch)
Modified:
  gcin/repos/extra-x86_64/	(properties)
  gcin/repos/extra-x86_64/PKGBUILD

-----------------+
 PKGBUILD        |   21 ++++++++++++---------
 fix_rpath.patch |   20 ++++++++++++++++++++
 2 files changed, 32 insertions(+), 9 deletions(-)


Property changes on: gcin/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gcin/trunk:1-26290
   + /gcin/trunk:1-35330

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-12 11:42:49 UTC (rev 35330)
+++ extra-x86_64/PKGBUILD	2009-04-12 11:43:01 UTC (rev 35331)
@@ -4,25 +4,28 @@
 
 pkgname=gcin
 pkgver=1.4.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Traditional Chinese Input Method Server for X window system (XIM)"
 arch=("i686" "x86_64")
 license=('LGPL')
 url="http://www.csie.nctu.edu.tw/~cp76/gcin/"
-depends=('gtk2' 'libxtst' 'bash')
+depends=('gtk2>=2.16.1' 'libxtst' 'bash')
 makedepends=('anthy')
 install=gcin.install
-source=(http://cle.linux.org.tw/gcin/download/$pkgname-$pkgver.tar.bz2
-	fix_x86_64_libdir.patch)
+source=(http://cle.linux.org.tw/gcin/download/${pkgname}-${pkgver}.tar.bz2
+	fix_x86_64_libdir.patch
+	fix_rpath.patch)
 options=('!makeflags')
 md5sums=('917874510ebdb8b28bf6a63251600493'
-         '2018737a07a0a7a9e0c28e11245dde14')
+         '2018737a07a0a7a9e0c28e11245dde14'
+	 'e6d2c05cec749c4920255f2a46401e28')
 
 build() {
-    cd $startdir/src/$pkgname-$pkgver
-    patch -Np0 -i ${srcdir}/fix_x86_64_libdir.patch || return 1
-    ./configure --prefix=/usr
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    patch -Np0 -i "${srcdir}/fix_x86_64_libdir.patch" || return 1
+    patch -Np1 -i "${srcdir}/fix_rpath.patch" || return 1
+    ./configure --prefix=/usr || return 1
     make || return 1
-    make DESTDIR=${pkgdir} install || return 1
+    make DESTDIR="${pkgdir}" install || return 1
 }
 

Copied: gcin/repos/extra-x86_64/fix_rpath.patch (from rev 35330, gcin/trunk/fix_rpath.patch)
===================================================================
--- extra-x86_64/fix_rpath.patch	                        (rev 0)
+++ extra-x86_64/fix_rpath.patch	2009-04-12 11:43:01 UTC (rev 35331)
@@ -0,0 +1,20 @@
+--- gcin-1.4.4/Makefile.orig	2009-04-12 13:37:28.000000000 +0200
++++ gcin-1.4.4/Makefile	2009-04-12 13:37:43.000000000 +0200
+@@ -96,7 +96,7 @@
+ 	if [ $(QT4_IM) = 'Y' ]; then $(MAKE) -C qt4-im; fi
+ 
+ gcin:   $(OBJS) $(IMdkitLIB) $(im-srv)
+-	LD_RUN_PATH=.:$(gcinlibdir) \
++	LD_RUN_PATH=$(gcinlibdir) \
+ 	$(CC) $(EXTRA_LDFLAGS) -o $@ $(OBJS) $(IMdkitLIB) $(im-srv) -lXtst $(LDFLAGS) -L/usr/X11R6/lib
+ 	rm -f core.*
+ 	ln -sf $@ $@.test
+@@ -108,7 +108,7 @@
+ 	$(CC) -o $@ $(OBJS_JUYIN_LEARN) $(LDFLAGS)
+ 	rm -f core.*
+ sim2trad:        $(OBJS_sim2trad)
+-	LD_RUN_PATH=.:$(gcinlibdir) \
++	LD_RUN_PATH=$(gcinlibdir) \
+ 	$(CC) -o $@ $(OBJS_sim2trad) $(LDFLAGS)
+ 	rm -f core.*
+ trad2sim:	sim2trad



More information about the arch-commits mailing list